### Virtual Method

# Ide ApplicationAddin handle_command_line

#### Declaration

    void
    handle_command_line (
      IdeApplicationAddin* self,
      IdeApplication* application,
      GApplicationCommandLine* cmdline
    )

#### Description

This function is called to allow the addin to procses command line arguments that were parsed based on options added in ide_application_addin_add_option_entries().

See `g_application_command_line_get_option_dict()` for more information.

Available since: | 3.32

#### Parameters

`application` | `IdeApplication`
| An `IdeApplication`.
| The data is owned by the caller of the function.
`cmdline` | `GApplicationCommandLine`
| A `GApplicationCommandLine`.
| The data is owned by the caller of the function.